KFileOpenWithHandler Class Reference

`#include <kopenwith.h>`

Inherits KOpenWithHandler.

## Public Member Functions

virtual bool | displayOpenWithDialog (const KURL::List &urls)

## Detailed Description

This class handles the displayOpenWithDialog call, made by KRun when it has no idea what to do with a URL.

It displays the open-with dialog box.

If you use KRun you need to create an instance of KFileOpenWithHandler (except if you can make sure you only use it for executables or Type=Application desktop files)

Definition at line 192 of file kopenwith.h.

## Member Function Documentation

bool KFileOpenWithHandler::displayOpenWithDialog | ( | const KURL::List & | urls | ) |

virtual

Opens an open-with dialog box for `urls`.

Returns
  true if the operation succeeded

Definition at line 833 of file kopenwith.cpp.

The documentation for this class was generated from the following files:

- kopenwith.h
- kopenwith.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys